Bug 1185941 - texlive-prosper stopped working
texlive-prosper stopped working
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Other
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: Dr. Werner Fink
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2021-05-11 23:04 UTC by Russell Sandish
Modified: 2022-03-23 10:15 UTC (History)
0 users

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
LaTeX file exhibiting the bug. (10.19 KB, text/plain)
2021-05-11 23:04 UTC, Russell Sandish
Details
Attachment with jellyfish image removed (10.08 KB, text/x-tex)
2021-05-26 00:07 UTC, Russell Sandish
Details
texmf config tarball as requested (21.87 KB, application/x-bzip)
2021-06-24 00:26 UTC, Russell Sandish
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Russell Sandish 2021-05-11 23:04:21 UTC
Created attachment 849276 [details]
LaTeX file exhibiting the bug.

Compiling a prosper document fails with: 

! Extra \endgroup.
\document ->\endgroup 
                      \the \before@document \begingroup \UseOneTimeHook {beg...
l.12 \begin{document}

To reproduce, type: "latex classdesc-preso.tex" (see attached).


Tumbleweed Version with bug present: 20210505
Tumbleweed Version without the bug:  20210417
Comment 1 Dr. Werner Fink 2021-05-17 07:42:37 UTC
Please attach jellyfish.eps ... without here it works

[...]

<red-bullet-on-white.ps> <red-bullet-on-white.ps> [23]
<red-bullet-on-white.ps> <red-bullet-on-white.ps> <red-bullet-on-white.ps>
<green-bullet-on-white.ps> <green-bullet-on-white.ps>
<green-bullet-on-white.ps> [24] (./prosper.aux)

LaTeX Font Warning: Some font shapes were not available, defaults substituted.

 )
(see the transcript file for additional information)
Output written on prosper.dvi (25 pages, 99932 bytes).
Transcript written on prosper.log.

... with latest texlive packages
Comment 2 Russell Sandish 2021-05-26 00:07:10 UTC
Created attachment 849654 [details]
Attachment with jellyfish image removed

Sorry about the extraneous graphics included. It is not pertinent to the problem. I have removed the title slide, and uploaded the revised version here.

The problem still manifests on Tumbleweed 20210519
Comment 3 Russell Sandish 2021-05-31 05:32:26 UTC
Another dup, but problem remains:

NAME="openSUSE Tumbleweed"
# VERSION="20210524"
Comment 4 Russell Sandish 2021-06-11 00:56:58 UTC
Another dup, and the error message has changed:

! Package ifluatex Error: Name clash, \ifluatex is already defined.

See the ifluatex package documentation for explanation.
Type  H <return>  for immediate help.
 ...                                              
                                                  
l.174     }


zen>cat /etc/os-release 
NAME="openSUSE Tumbleweed"
# VERSION="20210606"

Unfortunately, this has now come down to the wire. I need this working on my laptop before I leave on a trip next week, so I will have to convert my laptop to Leap, starting today.

I'll run up Tumbleweed on a VM to keep monitoring this bug.
Comment 5 Dr. Werner Fink 2021-06-23 13:19:53 UTC
Please run the command

   tar cfj /tmp/texmfcnf.tar.bz2 /etc/texmf/web2c/


and then attach /tmp/texmfcnf.tar.bz2.  This allows me to see what is the difference between my and yours installation
Comment 6 Russell Sandish 2021-06-24 00:26:12 UTC
Created attachment 850516 [details]
texmf config tarball as requested
Comment 7 Dr. Werner Fink 2021-06-30 12:33:16 UTC
Add a line

\RequirePackage[2020-02-02]{latexrelease}

before or below \documentclass
... does this help?

And note that you should not use luatex nor lualatex but latex based on pdftex
Comment 8 Russell Sandish 2021-07-01 01:30:12 UTC
It doesn't help. I get:
! Package ifluatex Error: Name clash, \ifluatex is already defined.

See the ifluatex package documentation for explanation.
Type  H <return>  for immediate help.

regardless of whether I use latex or pdflatex, and regardless of whether \RequirePackage[2020-02-02]{latexrelease} is added before of after \documentclass or neither.

PS pdflatex is not appropriate, as I use several pstricks macros in my slides.
Comment 9 Russell Sandish 2021-07-01 01:31:57 UTC
PPS:

zen>which latex
/usr/bin/latex
zen>ls -l /usr/bin/latex
lrwxrwxrwx 1 root root 6 Jun 16 12:00 /usr/bin/latex -> pdftex*
Comment 10 Dr. Werner Fink 2021-07-01 06:38:22 UTC
(In reply to Russell Sandish from comment #9)
> PPS:
> 
> zen>which latex
> /usr/bin/latex
> zen>ls -l /usr/bin/latex
> lrwxrwxrwx 1 root root 6 Jun 16 12:00 /usr/bin/latex -> pdftex*

The only thing I can say that here it works:

This is pdfTeX, Version 3.141592653-2.6-1.40.22 (TeX Live 2021/TeX Live for opensuse.org) (preloaded format=latex 2021.6.30)  30 JUN 2021 14:27
entering extended mode
 restricted \write18 enabled.
 %&-line parsing enabled.
**prosper.tex
(./prosper.tex
LaTeX2e <2020-10-01> patch level 4
L3 programming layer <2021-02-18>
(/usr/share/texmf/tex/latex/prosper/prosper.cls
Document Class: prosper 2001/07/17, v. 1.5
(c) 2000-2001 Frederic Goualard, EPFL, Switzerland
 and Peter Mø?ller Neergaard, Boston Univ., USA
CVSId: $Id: prosper.cls,v 1.24 2002/11/25 14:35:50 exupery Exp $

[...]

Here is how much of TeX's memory you used:
 16800 strings out of 479004
 271525 string characters out of 5867531
 574302 words of memory out of 5000000
 34018 multiletter control sequences out of 15000+600000
 436095 words of font info for 96 fonts, out of 8000000 for 9000
 1141 hyphenation exceptions out of 8191
 83i,13n,88p,571b,803s stack positions out of 5000i,500n,10000p,200000b,80000s

Output written on prosper.dvi (24 pages, 97120 bytes).
Comment 11 Russell Sandish 2021-07-01 09:11:46 UTC
OK - I'll try a Tumbleweed install in a fresh VM, and see if it works there. If it does, then something went wrong with the zypper dup, and I'll need to scrub my hard drive and reinstall. May take a day or two before I get to it, but I'll report back when done.
Comment 12 OBSbugzilla Bot 2021-07-02 10:40:06 UTC
This is an autogenerated message for OBS integration:
This bug (1185941) was mentioned in
https://build.opensuse.org/request/show/903665 Factory / texlive-specs-a
https://build.opensuse.org/request/show/903666 Factory / texlive-specs-b
https://build.opensuse.org/request/show/903667 Factory / texlive-specs-c
https://build.opensuse.org/request/show/903668 Factory / texlive-specs-d
https://build.opensuse.org/request/show/903669 Factory / texlive-specs-e
https://build.opensuse.org/request/show/903670 Factory / texlive-specs-f
https://build.opensuse.org/request/show/903671 Factory / texlive-specs-g
https://build.opensuse.org/request/show/903672 Factory / texlive-specs-h
https://build.opensuse.org/request/show/903673 Factory / texlive-specs-i
https://build.opensuse.org/request/show/903674 Factory / texlive-specs-j
https://build.opensuse.org/request/show/903675 Factory / texlive-specs-k
https://build.opensuse.org/request/show/903676 Factory / texlive-specs-l
https://build.opensuse.org/request/show/903677 Factory / texlive-specs-m
https://build.opensuse.org/request/show/903678 Factory / texlive-specs-n
https://build.opensuse.org/request/show/903679 Factory / texlive-specs-o
https://build.opensuse.org/request/show/903680 Factory / texlive-specs-p
https://build.opensuse.org/request/show/903681 Factory / texlive-specs-q
https://build.opensuse.org/request/show/903682 Factory / texlive-specs-r
https://build.opensuse.org/request/show/903683 Factory / texlive-specs-s
https://build.opensuse.org/request/show/903684 Factory / texlive-specs-t
https://build.opensuse.org/request/show/903685 Factory / texlive-specs-u
https://build.opensuse.org/request/show/903686 Factory / texlive-specs-v
https://build.opensuse.org/request/show/903687 Factory / texlive-specs-w
https://build.opensuse.org/request/show/903688 Factory / texlive-specs-x
https://build.opensuse.org/request/show/903689 Factory / texlive-specs-y
https://build.opensuse.org/request/show/903690 Factory / texlive-specs-z
Comment 13 Russell Sandish 2021-07-03 00:50:38 UTC
(In reply to Russell Sandish from comment #11)
> OK - I'll try a Tumbleweed install in a fresh VM, and see if it works there.
> If it does, then something went wrong with the zypper dup, and I'll need to
> scrub my hard drive and reinstall. May take a day or two before I get to it,
> but I'll report back when done.

OK - it appears that with a fresh Tumbleweed install, and with the \RequirePackage[2020-02-02]{latexrelease} line, it does work. So I'm going to have to scrub my laptop's harddrive and reinstall the OS, but at least I now know what I have to do.
Comment 14 OBSbugzilla Bot 2021-07-05 14:40:06 UTC
This is an autogenerated message for OBS integration:
This bug (1185941) was mentioned in
https://build.opensuse.org/request/show/904190 Factory / texlive-specs-a
https://build.opensuse.org/request/show/904191 Factory / texlive-specs-b
https://build.opensuse.org/request/show/904192 Factory / texlive-specs-c
https://build.opensuse.org/request/show/904193 Factory / texlive-specs-d
https://build.opensuse.org/request/show/904194 Factory / texlive-specs-e
https://build.opensuse.org/request/show/904195 Factory / texlive-specs-f
https://build.opensuse.org/request/show/904196 Factory / texlive-specs-g
https://build.opensuse.org/request/show/904197 Factory / texlive-specs-h
https://build.opensuse.org/request/show/904198 Factory / texlive-specs-i
https://build.opensuse.org/request/show/904199 Factory / texlive-specs-j
https://build.opensuse.org/request/show/904200 Factory / texlive-specs-k
https://build.opensuse.org/request/show/904201 Factory / texlive-specs-l
https://build.opensuse.org/request/show/904202 Factory / texlive-specs-m
https://build.opensuse.org/request/show/904203 Factory / texlive-specs-n
https://build.opensuse.org/request/show/904204 Factory / texlive-specs-o
https://build.opensuse.org/request/show/904205 Factory / texlive-specs-p
https://build.opensuse.org/request/show/904206 Factory / texlive-specs-q
https://build.opensuse.org/request/show/904207 Factory / texlive-specs-r
https://build.opensuse.org/request/show/904208 Factory / texlive-specs-s
https://build.opensuse.org/request/show/904209 Factory / texlive-specs-t
https://build.opensuse.org/request/show/904210 Factory / texlive-specs-u
https://build.opensuse.org/request/show/904211 Factory / texlive-specs-v
https://build.opensuse.org/request/show/904212 Factory / texlive-specs-w
https://build.opensuse.org/request/show/904213 Factory / texlive-specs-x
https://build.opensuse.org/request/show/904214 Factory / texlive-specs-y
https://build.opensuse.org/request/show/904215 Factory / texlive-specs-z
Comment 15 Russell Sandish 2021-07-08 01:36:36 UTC
(In reply to Russell Sandish from comment #13)
> (In reply to Russell Sandish from comment #11)
> > OK - I'll try a Tumbleweed install in a fresh VM, and see if it works there.
> > If it does, then something went wrong with the zypper dup, and I'll need to
> > scrub my hard drive and reinstall. May take a day or two before I get to it,
> > but I'll report back when done.
> 
> OK - it appears that with a fresh Tumbleweed install, and with the
> \RequirePackage[2020-02-02]{latexrelease} line, it does work. So I'm going
> to have to scrub my laptop's harddrive and reinstall the OS, but at least I
> now know what I have to do.

After latest dup (VERSION_ID="20210703"), this now works, with the \RequirePackage line.

How long will the RequirePackage line be viable for though? Will this break again in a future LaTeX release?
Comment 16 Dr. Werner Fink 2021-07-23 06:14:44 UTC
fixed